[debian-lan-devel] [debian-lan] 01/08: Fix shorewall NIC labels.

Andreas B. Mundt andi at moszumanska.debian.org
Wed Aug 10 12:49:46 UTC 2016


This is an automated email from the git hooks/post-receive script.

andi pushed a commit to branch master
in repository debian-lan.

commit 37b175e25238af5fa70487d842ddeaafa30ed6d0
Author: Andreas B. Mundt <andi at debian.org>
Date:   Sun Aug 7 11:23:05 2016 +0200

    Fix shorewall NIC labels.
---
 fai/config/scripts/FIREWALL/10-config | 8 ++++----
 fai/config/scripts/GATEWAY_A/10-misc  | 2 +-
 fai/config/scripts/SERVER_A/10-misc   | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/fai/config/scripts/FIREWALL/10-config b/fai/config/scripts/FIREWALL/10-config
index e414667..e7e764e 100755
--- a/fai/config/scripts/FIREWALL/10-config
+++ b/fai/config/scripts/FIREWALL/10-config
@@ -1,7 +1,7 @@
 #!/bin/bash
 #
 
-set -eu
+set -e
 
 if [ "$FAI_ACTION" != "install" ] && [ "$CONVERT" != "true" ] ; then
     exit 0
@@ -19,8 +19,8 @@ prepare_shorewall(){
     sed -i "s/IP_FORWARDING=Keep/IP_FORWARDING=on/" $CONFDIR/shorewall.conf
 
     ## Define interfaces and use parameters:
-    sed -i -e 's/${NIC_LABEL0}/\$NET_IF/' -e 's/${NIC_LABEL1}/\$LOC_IF/' $CONFDIR/interfaces $CONFDIR/masq $CONFDIR/stoppedrules
-    sed -i -e '$i LOC_IF=${NIC_LABEL0}' -e '$i NET_IF=${NIC_LABEL1}' $CONFDIR/params
+    sed -i -e 's/eth0/\$NET_IF/' -e 's/eth1/\$LOC_IF/' $CONFDIR/interfaces $CONFDIR/masq $CONFDIR/stoppedrules
+    sed -i -e "\$i LOC_IF=${NIC_LABEL0}" -e "\$i NET_IF=${NIC_LABEL1}" $CONFDIR/params
 
     ## Limited ssh access (uncomment to activate):
     #sed -i -e 's%^\(SSH(ACCEPT).*\)$%\1  -  -  -  -  s:1/min:1%' $CONFDIR/rules
@@ -92,7 +92,7 @@ fi
 
 ## Enable shorewall:
 sed -i "s/startup=0/startup=1/" ${target}/etc/default/shorewall
-
+$ROOTCMD systemctl enable shorewall
 
 
 ## C.f. http://lists.alioth.debian.org/pipermail/debian-lan-devel/2013q2/000357.html
diff --git a/fai/config/scripts/GATEWAY_A/10-misc b/fai/config/scripts/GATEWAY_A/10-misc
index a4f7c1a..a9a92f9 100755
--- a/fai/config/scripts/GATEWAY_A/10-misc
+++ b/fai/config/scripts/GATEWAY_A/10-misc
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-set -eu
+set -e
 
 ## Switch on apt-cacher-ng:
 # FIXME: resolv.conf does not use the internal name server, so DNS fails here:
diff --git a/fai/config/scripts/SERVER_A/10-misc b/fai/config/scripts/SERVER_A/10-misc
index bd566c5..311f9ad 100755
--- a/fai/config/scripts/SERVER_A/10-misc
+++ b/fai/config/scripts/SERVER_A/10-misc
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-set -eu
+set -e
 
 ## Switch on apt-cacher-ng:
 ainsl -a /etc/apt/apt.conf 'Acquire::http::Proxy "http://aptcache.intern:3128/";'

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/collab-maint/debian-lan.git



More information about the debian-lan-devel mailing list